// @ts-ignore
/* eslint-disable */
import { request } from '@wisdom-utils/utils';

/** 根据title获取网站配置 GET /WebSite/GetWebsite */
export async function GetWebsite(params, options) {
  return request('/WebSite/GetWebsite', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 添加网站配置 POST /WebSite/AddWebsite */
export async function AddWebsite(body, options) {
  return request('/WebSite/AddWebsite', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 修改网站配置 POST /WebSite/EditWebsite */
export async function EditWebsite(body, options) {
  return request('/WebSite/EditWebsite', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

/** 删除网站配置 GET /WebSite/DeleteWebsite */
export async function DeleteWebsite(params, options) {
  return request('/WebSite/DeleteWebsite', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 根据client获取网站配置 GET /WebSite/GetConfig */
export async function GetConfig(params, options) {
  return request('/WebSite/GetConfig', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}
